EndpointsHome Collections

Home Collections

Function-calling namespace: homeCollections

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/home-collections/create

Input Fields

FieldTypeRequiredConstraints
namestringYes-
orderLevelintegerNo-
imageUrlstringNo-
webImageUrlstringNo-
subTitlestringNo-
organizationTypeIdstringYes-
platformServiceCategoryIdsarray<string>No-
gridTitlestringNo-
featuredTitlestringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "homeCollections",
  "apiName": "create",
  "data": {
    "name": "value",
    "organizationTypeId": "organizationtype_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/home-collections/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "homeCollections",
  "apiName": "delete",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/home-collections/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "homeCollections",
  "apiName": "getById",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/home-collections/list

Input Fields

FieldTypeRequiredConstraints
pageintegerNo-
pageSizeintegerNo-
limitintegerNo-
offsetintegerNo-
searchstringNo-
organizationTypeIdstringNo-
organizationTypeNamestringNo-
platformServiceCategoryIdstringNo-
sortBystringNo-
sortOrderstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "homeCollections",
  "apiName": "list",
  "data": {
    "page": 1,
    "pageSize": 1,
    "limit": 1,
    "offset": 1,
    "search": "value",
    "organizationTypeId": "organizationtype_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/home-collections/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
namestringNonullable
orderLevelintegerNonullable
imageUrlstringNonullable
webImageUrlstringNonullable
subTitlestringNonullable
organizationTypeIdstringNonullable
platformServiceCategoryIdsarray<string>No-
gridTitlestringNonullable
featuredTitlestringNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "homeCollections",
  "apiName": "update",
  "data": {
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }